<?php

	// Tumblr用のライブラリの読み込み
	require './tumblr-oauth-library.php' ;

	// 設定
	$access_token = '' ;
	$access_token_secret = '' ;
	$host = 'syncerjp.tumblr.com' ;		// 対象ブログのホスト
	$request_url = 'https://api.tumblr.com/v2/blog/' . $host . '/post' ;	// リクエストURL
	$request_method = 'POST' ;		// リクエストメソッド
	$params = array(				// パラメータ
		'oauth_token' => $access_token ,
		'oauth_token_secret' => $access_token_secret ,
		'type' => 'text' ,			// 投稿タイプ
		'state' => 'published' ,	// 記事の状態
		'tags' => 'syncerjp' ,	// タグ
		'format' => 'html' ,	// フォーマット
		'slug' => 'api-test' ,	// 記事のスラッグ
		'title' => date( 'n月j日 H時i分' ) ,	// テキスト投稿の場合、記事のタイトル
		'body' => '<i>TumblrのAPI</i>を利用して、<b>' . date( 'n月j日のH時i分' ) . '</b>に投稿しました。' ,	// テキスト投稿の場合、記事の本文
	) ;

	// JSONデータとレスポンスヘッダーをセット(配列)で取得する
	list( $json , $header ) = tumblr_oauth( $request_url , $request_method , $params , 1 ) ;

	// HTML用
	$html = '' ;

	// エラー判定
	if( !$json || !$header )
	{
		$html .= '<p><mark>データを取得できませんでした…。</mark></p>' ;
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

	// アプリケーション連携の解除
	$html .= '<h2>アプリケーション連携の解除</h2>' ;
	$html .= '<p>このアプリケーションとの連携は、下記設定ページで解除することができます。</p>' ;
	$html .= '<p><a href="https://www.tumblr.com/settings/apps" target="_blank">https://www.tumblr.com/settings/apps</a></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Tumblr APIで記事を投稿するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/tumblr-api-matome

	* 動作確認
	https://syncer.jp/tumblr-api-matome/demo/post-blogpost.php

	* 最終更新日時
	2015/08/03 04:24

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/tumblr-api-matome">配布元: Syncer</a></p>






</body>
</html>
